net.corda.node.services.transactions

## Class BFTNonValidatingNotaryService

- SingletonSerializeAsToken
- - NotaryService
  - - net.corda.node.services.transactions.BFTNonValidatingNotaryService

- All Implemented Interfaces:
    SerializeAsToken

      public class BFTNonValidatingNotaryService
      extends NotaryService

  A non-validating notary service operated by a group of parties that don't necessarily trust each other.

  A transaction is notarised when the consensus is reached by the cluster on its uniqueness, and timestamp validity.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `BFTNonValidatingNotaryService.Companion`
    `static class` | `BFTNonValidatingNotaryService.Server`
    `static class` | `BFTNonValidatingNotaryService.ServiceFlow`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static BFTNonValidatingNotaryService.Companion` | `Companion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BFTNonValidatingNotaryService(ServiceHubInternal services, TimestampChecker timestampChecker, int serverId, org.jetbrains.exposed.sql.Database db, BFTSMaRt.Client client)` A non-validating notary service operated by a group of parties that don't necessarily trust each other.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BFTNonValidatingNotaryService.ServiceFlow` | `createFlow(Party otherParty)` Implement a factory that specifies the transaction commit flow for the notary service to use
    `BFTSMaRt.Client` | `getClient()`

    - ### Methods inherited from class net.corda.node.services.transactions.NotaryService

      `createFlow`

    - ### Methods inherited from class net.corda.core.serialization.SingletonSerializeAsToken

      `toToken`

    - ### Methods inherited from interface net.corda.core.serialization.SerializeAsToken

      `toToken`

- - ### Field Detail

    - #### Companion

          public static BFTNonValidatingNotaryService.Companion Companion

  - ### Constructor Detail

    - #### BFTNonValidatingNotaryService

          public BFTNonValidatingNotaryService(ServiceHubInternal services,
                                               TimestampChecker timestampChecker,
                                               int serverId,
                                               org.jetbrains.exposed.sql.Database db,
                                               BFTSMaRt.Client client)

      A non-validating notary service operated by a group of parties that don't necessarily trust each other.

      A transaction is notarised when the consensus is reached by the cluster on its uniqueness, and timestamp validity.

  - ### Method Detail

    - #### createFlow

          public BFTNonValidatingNotaryService.ServiceFlow createFlow(Party otherParty)

      Implement a factory that specifies the transaction commit flow for the notary service to use

    - #### getClient

          public BFTSMaRt.Client getClient()